id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | Static Public Attributes | List of all members
ID3_FieldDef Struct Reference

`#include <field_def.h>`

## Public Attributes
ID3_FieldID | _id
ID3_FieldType | _type
size_t | _fixed_size
ID3_V2Spec | _spec_begin
ID3_V2Spec | _spec_end
flags_t | _flags
ID3_FieldID | _linked_field

## Static Public Attributes
static const ID3_FieldDef * | DEFAULT = ID3FD_Unimplemented

## Detailed Description

Definition at line 33 of file field_def.h.

## Member Data Documentation

size_t ID3_FieldDef::_fixed_size

Definition at line 37 of file field_def.h.

flags_t ID3_FieldDef::_flags

Definition at line 40 of file field_def.h.

ID3_FieldID ID3_FieldDef::_id

Definition at line 35 of file field_def.h.

ID3_FieldID ID3_FieldDef::_linked_field

Definition at line 41 of file field_def.h.

ID3_V2Spec ID3_FieldDef::_spec_begin

Definition at line 38 of file field_def.h.

ID3_V2Spec ID3_FieldDef::_spec_end

Definition at line 39 of file field_def.h.

ID3_FieldType ID3_FieldDef::_type

Definition at line 36 of file field_def.h.

const ID3_FieldDef * ID3_FieldDef::DEFAULT = ID3FD_Unimplemented
| static

Definition at line 42 of file field_def.h.

The documentation for this struct was generated from the following files:

- src/field_def.h
- src/field.cpp